## ipp-usb 0.9.13

=== Makefile ===
MANDIR = /usr/share/man/
MANPAGE = ipp-usb.8

# Merge DESTDIR and PREFIX
PREFIX := $(abspath $(DESTDIR)/$(PREFIX))
ifeq ($(PREFIX),/)
        PREFIX :=
endif

all:
	-gotags -R . > tags
	go build -ldflags "-s -w" -tags nethttpomithttp2

man:	$(MANPAGE)

$(MANPAGE): $(MANPAGE).md
	ronn --roff --manual=$@ $<

install:
	install -s -D -t $(PREFIX)/sbin ipp-usb
	install -m 644 -D -t $(PREFIX)/lib/udev/rules.d systemd-udev/*.rules
	install -m 644 -D -t $(PREFIX)/lib/systemd/system systemd-udev/*.service
	install -m 644 -D -t $(PREFIX)/etc/ipp-usb ipp-usb.conf
	mkdir -p $(PREFIX)/$(MANDIR)/man8
	gzip <$(MANPAGE) > $(PREFIX)$(MANDIR)/man8/$(MANPAGE).gz

test:
	go test

=== debian/changelog ===
ipp-usb (0.9.13-1ubuntu1) groovy; urgency=medium

  * Merged with ipp-usb package from Debian unstable, remaining change:
    - Removed unneeded man page build with ronn, to eliminate build
      dependency on ronn in Universe

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 26 Aug 2020 10:00:00 +0200

ipp-usb (0.9.13-1) unstable; urgency=medium

  * New 0.9.13 upstream release
    - Drop patch merged upstream
  * B-D on golang-go primarily (falls back on golang-any), to facilitate
    landing in Ubuntu main

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Aug 2020 18:58:59 +0200

ipp-usb (0.9.12-1ubuntu1) groovy; urgency=medium

  * Removed build dependency on golang-any, a meta package in Universe,
    to allow one of golang-go or gccgo, put golang-go in its place
    as this is the only of the two in Main
  * Removed unneeded man page build with ronn, to eliminate build
    dependency on ronn in Universe

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 25 Aug 2020 17:53:00 +0200

ipp-usb (0.9.12-1) unstable; urgency=medium

  * New 0.9.12 upstream release
  * Add patch to read ipp-usb.conf from testdata repository

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Aug 2020 09:18:02 +0200

ipp-usb (0.9.10-3) unstable; urgency=medium

  * Add avahi-daemon Depends as the systemd unit has
    Wants=avahi-daemon.service (Closes: #968568)

 -- Didier Raboud <odyx@debian.org>  Thu, 20 Aug 2020 20:24:53 +0200

ipp-usb (0.9.10-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository, Repository-Browse

 -- Didier Raboud <odyx@debian.org>  Wed, 22 Jul 2020 08:17:16 +0200

ipp-usb (0.9.10-1) unstable; urgency=medium

  * New 0.9.10 upstream version
    - Drop patches included upstream

 -- Didier Raboud <odyx@debian.org>  Thu, 16 Jul 2020 17:35:45 +0200

ipp-usb (0.9.9-1) unstable; urgency=medium

  * Initial release (Closes: #961218)

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jul 2020 11:22:31 +0200

=== debian/control ===
Source: ipp-usb
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Section: comm
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libusb-1.0-0-dev,
               libavahi-common-dev,
               libavahi-client-dev,
               pkg-config,
               dh-golang,
               golang-go (>= 2:1.14~2) | golang-any,
               golang-github-openprinting-goipp-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/OpenPrinting/ipp-usb
Vcs-Browser: https://salsa.debian.org/printing-team/ipp-usb
Vcs-Git: https://salsa.debian.org/printing-team/ipp-usb.git
XS-Go-Import-Path: github.com/OpenPrinting/ipp-usb

Package: ipp-usb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         avahi-daemon,
Built-Using: ${misc:Built-Using}
Description: Daemon for IPP over USB printer support
 ipp-usb is a userland driver for USB devices (printers, scanners, MFC),
 supporting the IPP over USB protocol. It enables these USB devices to
 be seen as regular network printers.
 .
 It is designed to be a replacement of ippusbxd daemon, previously
 used for this purpose. It has a greatly rethought architecture, in
 comparison with ippusbxd, and fixes all of its major flaws and issues.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	mv _build/bin/ipp-usb ipp-usb
	DESTDIR=$(CURDIR)/debian/ipp-usb make install

execute_after_dh_auto_clean:
	rm -f ipp-usb

## ipp-usb 0.9.13-1ubuntu1+9.0trisquel1

=== debian/changelog ===
ipp-usb (0.9.13-1ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Backported from groovy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Jan 2021 20:59:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Didier Raboud <odyx@debian.org>
 Section: comm
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                libusb-1.0-0-dev,
                libavahi-common-dev,
                libavahi-client-dev,
                pkg-config,
                dh-golang,
-               golang-go (>= 2:1.14~2) | golang-any,
+               golang-go,
                golang-github-openprinting-goipp-dev,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,4 @@
 
 execute_after_dh_auto_clean:
 	rm -f ipp-usb
+override_dh_dwz:

## ipp-usb 0.9.17

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-MANDIR = /usr/share/man/
-MANPAGE = ipp-usb.8
+MANDIR    = /usr/share/man/
+QUIRKSDIR = /usr/share/ipp-usb/quirks
+MANPAGE   = ipp-usb.8
 
 # Merge DESTDIR and PREFIX
 PREFIX := $(abspath $(DESTDIR)/$(PREFIX))
@@ -16,13 +17,14 @@
 $(MANPAGE): $(MANPAGE).md
 	ronn --roff --manual=$@ $<
 
-install:
+install: all
 	install -s -D -t $(PREFIX)/sbin ipp-usb
 	install -m 644 -D -t $(PREFIX)/lib/udev/rules.d systemd-udev/*.rules
 	install -m 644 -D -t $(PREFIX)/lib/systemd/system systemd-udev/*.service
 	install -m 644 -D -t $(PREFIX)/etc/ipp-usb ipp-usb.conf
 	mkdir -p $(PREFIX)/$(MANDIR)/man8
 	gzip <$(MANPAGE) > $(PREFIX)$(MANDIR)/man8/$(MANPAGE).gz
+	install -m 644 -D -t $(PREFIX)/$(QUIRKSDIR) ipp-usb-quirks/*
 
 test:
 	go test

=== debian/changelog ===
ipp-usb (0.9.17-3) unstable; urgency=medium

  * Add a NEWS entry to clarify ipp-usb's purpose (Closes: #978561)

 -- Brian Potkin <claremont102@gmail.com>  Fri, 05 Mar 2021 16:40:13 +0100

ipp-usb (0.9.17-2) unstable; urgency=medium

  * Let ipp-usb be Multi-Arch: foreign (Closes: #980217)

 -- Didier Raboud <odyx@debian.org>  Sun, 21 Feb 2021 18:02:51 +0100

ipp-usb (0.9.17-1) unstable; urgency=medium

  * New 0.9.17 upstream release

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Feb 2021 15:06:56 +0100

ipp-usb (0.9.16-1) unstable; urgency=medium

  * New 0.9.16 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 30 Dec 2020 14:11:12 +0100

ipp-usb (0.9.15-2) unstable; urgency=medium

  * Use upstream author's patch to fix #978348 FTBFS

 -- Didier Raboud <odyx@debian.org>  Tue, 29 Dec 2020 18:39:35 +0100

ipp-usb (0.9.15-1) unstable; urgency=medium

  * New 0.9.15 upstream release
    - Add heiner99's patch to fix FTBFS (Closes: #978348)

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Dec 2020 17:01:03 +0100

ipp-usb (0.9.14-2) unstable; urgency=medium

  * Set Type=simple in ipp-usb.service to fix restart handling
    (Closes: #973951)

 -- Didier Raboud <odyx@debian.org>  Sun, 22 Nov 2020 15:39:49 +0100

ipp-usb (0.9.14-1) unstable; urgency=medium

  * New 0.9.14 upstream release
    - Patch away the install-to-all make dependency

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Oct 2020 17:37:37 +0200

=== debian/control ===
Source: ipp-usb
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Didier Raboud <odyx@debian.org>,
Section: comm
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-github-openprinting-goipp-dev,
 golang-go (>= 2:1.14~2) | golang-any,
 libavahi-client-dev,
 libavahi-common-dev,
 libusb-1.0-0-dev,
 pkg-config,
 ronn,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/OpenPrinting/ipp-usb
Vcs-Browser: https://salsa.debian.org/printing-team/ipp-usb
Vcs-Git: https://salsa.debian.org/printing-team/ipp-usb.git
XS-Go-Import-Path: github.com/OpenPrinting/ipp-usb

Package: ipp-usb
Architecture: any
Depends:
 avahi-daemon,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Multi-Arch: foreign
Description: Daemon for IPP over USB printer support
 ipp-usb is a userland driver for USB devices (printers, scanners, MFC),
 supporting the IPP over USB protocol. It enables these USB devices to
 be seen as regular network printers.
 .
 It is designed to be a replacement of ippusbxd daemon, previously
 used for this purpose. It has a greatly rethought architecture, in
 comparison with ippusbxd, and fixes all of its major flaws and issues.

## ipp-usb 0.9.19

=== debian/changelog ===
ipp-usb (0.9.19-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 09 Oct 2021 23:50:21 -0400

ipp-usb (0.9.19-2) unstable; urgency=medium

  * Migrate to unstable
  * S-V: Update to 4.6.0 without changes needed
  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 09:10:00 +0200

ipp-usb (0.9.19-1) experimental; urgency=low

  * New 0.9.19 upstream release

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Jun 2021 10:50:37 +0200

ipp-usb (0.9.18-1) experimental; urgency=low

  * New 0.9.18 upstream release

 -- Didier Raboud <odyx@debian.org>  Sun, 16 May 2021 14:26:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ipp-usb
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders:
- Didier Raboud <odyx@debian.org>,
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Section: comm
 Priority: optional
 Build-Depends:
@@ -14,7 +13,7 @@
  libusb-1.0-0-dev,
  pkg-config,
  ronn,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/OpenPrinting/ipp-usb
 Vcs-Browser: https://salsa.debian.org/printing-team/ipp-usb

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_strip:
	dh_strip --no-automatic-dbgsym

execute_after_dh_auto_build:
	make man

override_dh_auto_install:
	mv _build/bin/ipp-usb ipp-usb
	DESTDIR=$(CURDIR)/debian/ipp-usb make install

execute_after_dh_auto_clean:
	rm -f *.8 ipp-usb

## ipp-usb 0.9.20

=== debian/changelog ===
ipp-usb (0.9.20-1ubuntu0.22.04.2) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 17:40:30 +0000

ipp-usb (0.9.20-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 27 Apr 2023 12:37:47 +0530

ipp-usb (0.9.20-1) unstable; urgency=medium

  * Update to new upstream version 0.9.20.
  * debian/control: add myself to Uploaders:

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 26 Mar 2022 11:19:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ipp-usb
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: comm
 Priority: optional
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 execute_after_dh_auto_build:
 	make man

## ipp-usb 0.9.22

=== debian/changelog ===
ipp-usb (0.9.22-1ubuntu0.22.10.1) kinetic-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 27 Apr 2023 12:38:26 +0530

ipp-usb (0.9.22-1) unstable; urgency=medium

  * Update to new upstream version 0.9.22.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Jun 2022 22:16:32 +0200

ipp-usb (0.9.21-1) unstable; urgency=medium

  * Update to new upstream version 0.9.21.
    (Closes: #1009188)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 May 2022 11:20:34 +0200

## ipp-usb 0.9.23

=== debian/changelog ===
ipp-usb (0.9.23-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Install files into UsrMerged layout (DEP17 M2). (Closes: #1073172)
  * Replace obsolete Build-Depends: pkg-config with pkgconf.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Aug 2024 10:26:08 +0200

ipp-usb (0.9.23-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Delegate placement of udev/systemd files to pkg-config data
    (Closes: #1057793)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 17:30:20 +0200

ipp-usb (0.9.23-1) unstable; urgency=medium

  * Update to new upstream version 0.9.23.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 07 Dec 2022 12:26:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ipp-usb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: comm
 Priority: optional
@@ -12,8 +11,9 @@
  libavahi-client-dev,
  libavahi-common-dev,
  libusb-1.0-0-dev,
- pkg-config,
+ pkgconf,
  ronn,
+ systemd-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/OpenPrinting/ipp-usb

## ipp-usb 0.9.24

=== debian/changelog ===
ipp-usb (0.9.24-0ubuntu3) noble; urgency=medium

  * No-change rebuild against Go 1.22.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 08 Apr 2024 15:03:35 +1200

ipp-usb (0.9.24-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:00:01 +0000

ipp-usb (0.9.24-0ubuntu1) noble; urgency=medium

  * New upstream release.
    - Quirk workarounds to support more devices, especially from
      Pantum.
  * Build-depend on golang-github-openprinting-goipp >= 1.1.0

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Feb 2024 21:40:37 +0100

ipp-usb (0.9.23-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 15:59:41 +1200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: ipp-usb
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: comm
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-golang,
- golang-github-openprinting-goipp-dev,
+ golang-github-openprinting-goipp-dev (>= 1.1.0),
  golang-go (>= 2:1.14~2) | golang-any,
  libavahi-client-dev,
  libavahi-common-dev,
  libusb-1.0-0-dev,
- pkgconf,
+ pkg-config,
  ronn,
- systemd-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/OpenPrinting/ipp-usb

## ipp-usb 0.9.28

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 all:
 	-gotags -R . > tags
-	go build -ldflags "-s -w" -tags nethttpomithttp2
+	go build -ldflags "-s -w" -tags nethttpomithttp2 -mod=vendor
 
 man:	$(MANPAGE)
 
@@ -27,4 +27,4 @@
 	install -m 644 -D -t $(PREFIX)/$(QUIRKSDIR) ipp-usb-quirks/*
 
 test:
-	go test
+	go test -mod=vendor

=== debian/changelog ===
ipp-usb (0.9.28-0ubuntu2) plucky; urgency=medium

  * No-change rebuild against Go 1.24.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Mon, 24 Feb 2025 09:34:31 +0000

ipp-usb (0.9.28-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 Aug 2024 23:09:27 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ipp-usb-$1\.tar\.gz/ \
  https://github.com/OpenPrinting/ipp-usb/tags .*/v?(\d\S+)\.tar\.gz

## ipp-usb 0.9.30

=== debian/changelog ===
ipp-usb (0.9.30-1) unstable; urgency=medium

  * Update to new upstream version 0.9.30.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Feb 2026 19:40:28 +0100

## ipp-usb 0.9.31

=== Makefile ===
--- 
+++ 
@@ -28,3 +28,6 @@
 
 test:
 	go test -mod=vendor
+
+clean:
+	rm -f ipp-usb tags

=== debian/changelog ===
ipp-usb (0.9.31-1) unstable; urgency=medium

  * Update to new upstream version 0.9.31.
  * debian/rules: no longer remove man page 
  * debian/control: remove Priority: and RRR:
  * debian/coypright: update years

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Mar 2026 19:36:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: ipp-usb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: comm
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-golang,
- golang-github-openprinting-goipp-dev (>= 1.1.0),
+ golang-github-openprinting-goipp-dev,
  golang-go (>= 2:1.14~2) | golang-any,
  libavahi-client-dev,
  libavahi-common-dev,
  libusb-1.0-0-dev,
- pkg-config,
+ pkgconf,
  ronn,
+ systemd-dev,
 Standards-Version: 4.6.0
-Rules-Requires-Root: no
 Homepage: https://github.com/OpenPrinting/ipp-usb
 Vcs-Browser: https://salsa.debian.org/printing-team/ipp-usb
 Vcs-Git: https://salsa.debian.org/printing-team/ipp-usb.git

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	DESTDIR=$(CURDIR)/debian/ipp-usb make install
 
 execute_after_dh_auto_clean:
-	rm -f *.8 ipp-usb
+	rm -f ipp-usb
